List wallet balances
Authorization
ApiKeyBearer wallets:readAuthorizationBearer <token>
In: header
Scope: wallets:read
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/wallets"{ "data": [ { "walletId": "string", "countryIso2": "st", "type": "PAYIN", "currency": "XOF", "available": "string", "reserved": "string" } ], "meta": { "environment": "SANDBOX", "type": "string" }}{ "error": { "code": "AUTH_API_KEY_MISSING", "message": "The API key is missing or invalid.", "requestId": "req_01HXFREEGATE" }}{ "error": { "code": "AUTH_SCOPE_MISSING", "message": "The API key does not include the required scope.", "requestId": "req_01HXFREEGATE" }}{ "error": { "code": "IDEMPOTENCY_CONFLICT", "message": "The same merchant reference was already used with a different request.", "requestId": "req_01HXFREEGATE" }}{ "error": { "code": "VALIDATION_ERROR", "message": "The request payload or query parameters are invalid.", "requestId": "req_01HXFREEGATE" }}{ "error": { "code": "INTERNAL_ERROR", "message": "The API could not process the request.", "requestId": "req_01HXFREEGATE" }}